{ stdenvNoCC, zola, writeScriptBin }:

stdenvNoCC.mkDerivation rec {
  name = "docs.hacc.space-static";

  src = ./.;

  phases = [ "buildPhase" ];
  buildInputs = [ zola ];
  buildPhase = ''
    cd $src
    mkdir -p $out
    zola build --output-dir $out
  '';

  watch = writeScriptBin "watch" ''
    ${zola}/bin/zola serve ${src} "$@"
  '';
}
